﻿/* Import Font Style */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

body {
    background: var(--color-base);
}

/* Colors */
:root {
    --color-primary: #FF5722;
    --color-secondary: #1A120B;
    --color-tertiary: #3C2A21;
    --color-base: #E5E8E8;
    --color-white: #ffffff;
}

.color-primary {
    color: var(--color-primary);
}

.color-secondary {
    color: var(--color-secondary);
}

.color-tertiary {
    color: var(--color-tertiary);
}

.color-base {
    color: var(--color-base);
}

/* Background Colors and Designs */
.bg-color-primary {
    background: var(--color-primary);
}

.bg-color-secondary {
    background: var(--color-secondary);
}

.bg-color-tertiary {
    background: var(--color-tertiary);
}

.bg-color-base {
    background: var(--color-base);
}

.bg-blur-dark {
    background: rgba( 0, 0, 0, 0.4 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0 );
    backdrop-filter: blur( 4px );
    -webkit-backdrop-filter: blur( 4px );
    border-radius: 10px;
}

/* Fonts - Custom added */
.fs-7 {
    font-size: 14px;
}

.fs-8 {
    font-size: 12px;
}

.justify-text {
    text-align: justify;
    text-justify: inter-word;
}

/* Navbar */
nav {
    background: var(--color-primary);
    color: var(--color-white);
}

/* Buttons */
.btn-orange-primary {
    background: var(--color-primary);
    color: var(--color-white);
    border: 1px solid var(--color-white);
    text-decoration: none;
    padding: 8px 20px;
    border-radius: 3px;
    transition: all .3s ease-in-out;
}

.btn-orange-primary:hover {
    background: var(--color-white);
    color: var(--color-primary);
    box-shadow: rgba(0, 0, 0, 0.24) 0px 5px 20px;
}

.btn-orange-secondary {
    background: var(--color-white);
    color: var(--color-primary);
    border: 1px solid var(--color-primary);
    text-decoration: none;
    padding: 8px 20px;
    border-radius: 3px;
    transition: all .3s ease-in-out;
}

.btn-orange-secondary:hover {
    background: var(--color-primary);
    color: var(--color-white);
    box-shadow: rgba(0, 0, 0, 0.24) 0px 5px 20px;
}

.btn-nav-account {
    background: var(--color-primary);
    border: none;
    color: var(--color-white);
    text-shadow: 0px 0px 15px rgba(60, 42, 33, 1);
}

/* Footer */
footer {
    background: var(--color-primary);
    color: var(--color-white);
    padding: .5rem 1rem;
}